org.apache.sysds.runtime.instructions.spark.functions

## Class ReblockTensorFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.ReblockTensorFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<TensorIndexes,TensorBlock>,TensorIndexes,TensorBlock>

    public class ReblockTensorFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<TensorIndexes,TensorBlock>,TensorIndexes,TensorBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReblockTensorFunction(int numDims, long newBlen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>` `call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReblockTensorFunction

    public ReblockTensorFunction(int numDims,
                                 long newBlen)

### Method Detail

#### call

    public Iterator<scala.Tuple2<TensorIndexes,TensorBlock>> call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)
                                                           throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<TensorIndexes,TensorBlock>,TensorIndexes,TensorBlock>`
Throws:
  `Exception`